Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.provider
Class ProviderException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.webservices.provider.ProviderException`

All Implemented Interfaces:
  Serializable

public class ProviderException
extends RuntimeException

The `oracle.webservices.provider.ProviderException` is thrown from the core Provider APIs to indicate an exception related to the provider runtime mechanisms.

See Also:
  Serialized Form

Constructor Summary
`ProviderException()` Constructs a new exception with `null` as its detail message.
`ProviderException(String message)` Constructs a new exception with the specified detail message.
`ProviderException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
`ProviderException(Throwable cause)` Constructs a new ProviderException with the specified cause and a detail message of `(cause==null ?`

Method Summary
`Throwable` | `getLinkedCause()` Gets the Linked cause

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderException

    public ProviderException()

  Constructs a new exception with `null` as its detail message. The cause is not initialized.

### ProviderException

    public ProviderException(String message)

  Constructs a new exception with the specified detail message. The cause is not initialized.
Parameters:
  `message` - The detail message which is later retrieved using the getMessage method

### ProviderException

    public ProviderException(String message,
                             Throwable cause)

  Constructs a new exception with the specified detail message and cause.
Parameters:
  `message` - The detail message which is later retrieved using the getMessage method
  `cause` - The cause which is saved for the later retrieval throw by the getCause method

### ProviderException

    public ProviderException(Throwable cause)

  Constructs a new ProviderException with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
Parameters:
  `cause` - The cause which is saved for the later retrieval throw by the getCause method. (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getLinkedCause

    public Throwable getLinkedCause()

  Gets the Linked cause
  Returns:
    The cause of this Exception or `null` if the cause is noexistent or unknown

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD